import { SVGGSelection } from "./Charting";
import { AbstractUiLineChartDataDisplay } from "./AbstractUiLineChartDataDisplay";
import { TimeGraphDataStore } from "./TimeGraphDataStore";
import { UiLineChartBandConfig } from "../../generated/UiLineChartBandConfig";
export declare class UiLineChartBand extends AbstractUiLineChartDataDisplay<UiLineChartBandConfig> {
    private dropShadowFilterId;
    private middleLine;
    private $middleLine;
    private lowerLine;
    private $lowerLine;
    private upperLine;
    private $upperLine;
    private area;
    private $area;
    private $dots;
    private $main;
    private $yZeroLine;
    constructor(timeGraphId: string, config: UiLineChartBandConfig, $container: SVGGSelection, // TODO append outside!! https://stackoverflow.com/a/19951169/524913
    dropShadowFilterId: string, dataStore: TimeGraphDataStore);
    private initLinesAndColorScale;
    private initDomNodes;
    private isVisibleColor;
    doRedraw(): void;
    setConfig(lineFormat: UiLineChartBandConfig): void;
    get yScaleWidth(): number;
    getDataSeriesIds(): string[];
    destroy(): void;
}
